From 756d925261fb9497ea02c023021af9b5b3e566b7 Mon Sep 17 00:00:00 2001
From: Wei Gao <gaowei66@huawei.com>
Date: Mon, 1 Mar 2021 18:29:18 +0800
Subject: [PATCH 2/4] config: change default vm memory size from 128M to 256M.

For default openEuler image in aarch64, StratoVirt will be OOM for 128M vm
memory size. So reset default vm memory to 256M and update related documents.

Signed-off-by: Wei Gao <gaowei66@huawei.com>
---
 docs/config_guidebook.md                     | 2 +-
 machine_manager/src/config/machine_config.rs | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/docs/config_guidebook.md b/docs/config_guidebook.md
index b0c6700..0752d9e 100644
--- a/docs/config_guidebook.md
+++ b/docs/config_guidebook.md
@@ -60,7 +60,7 @@ StratoVirt supports to set the size of VM's memory in cmdline.
 This allows you to set the size of memory that VM will support.
 You can choose `M` or `G` as unit (default unit is `Byte`).
 
-But unfortunately, in json configuration file, only `byte` is supported as unit.
+Default VM memory size is 256M. The supported VM memory size is among [256M, 512G].
 
 ```shell
 # cmdline
diff --git a/machine_manager/src/config/machine_config.rs b/machine_manager/src/config/machine_config.rs
index f5d39aa..0bb80d5 100644
--- a/machine_manager/src/config/machine_config.rs
+++ b/machine_manager/src/config/machine_config.rs
@@ -22,11 +22,11 @@ use crate::config::{CmdParser, ConfigCheck, ExBool, VmConfig};
 use util::num_ops::round_down;
 
 const DEFAULT_CPUS: u8 = 1;
-const DEFAULT_MEMSIZE: u64 = 128;
+const DEFAULT_MEMSIZE: u64 = 256;
 const MAX_NR_CPUS: u64 = 254;
 const MIN_NR_CPUS: u64 = 1;
 const MAX_MEMSIZE: u64 = 549_755_813_888;
-const MIN_MEMSIZE: u64 = 134_217_728;
+const MIN_MEMSIZE: u64 = 268_435_456;
 const M: u64 = 1024 * 1024;
 const G: u64 = 1024 * 1024 * 1024;
 
-- 
2.27.0

